## kftpgrabber-trinity 14.0.4

=== debian/changelog ===
kftpgrabber-trinity (4:14.0.4-0ubuntu16.10.0+0) yakkety; urgency=low

  * Automated git build for r14.0.4

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 23 Oct 2016 13:20:17 +0200

kftpgrabber-trinity (0.8.1-2) unstable; urgency=low

  * Initial Release for TDE

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 26 Jul 2013 05:12:03 +0200

kftpgrabber (0.8.1-2) unstable; urgency=low

  [ Mark Purcell ]
  * Remove get-orig-source targets. sf.net sillyness.

  [ Michael Meskes ]
  * Added myself as uploader.
  * Added patch by Thijs Kinkhorst <thijs@debian.org> to make default encoding
    UTF-8, closes: #431438
  * Bumped Standards-Version to 3.7.3.
  * Added command to delete *.gmo file to clean target, closes: #442614
  * Moved homepage from description to its own field.
  * Changed menu section to Applications/Network/File Transfer.

 -- Michael Meskes <meskes@debian.org>  Sat, 19 Apr 2008 19:09:05 +0200

kftpgrabber (0.8.1-1) unstable; urgency=low

  * New upstream release.

 -- Fathi Boudra <fboudra@free.fr>  Tue, 15 May 2007 20:26:16 +0200

kftpgrabber (0.8.0-2) unstable; urgency=low

  * Update debian/watch

 -- Mark Purcell <msp@debian.org>  Thu, 29 Mar 2007 22:01:50 +0100

kftpgrabber (0.8.0-1) experimental; urgency=low

  * New upstream release.
  * Add debian/rules get-orig-source target for http://buildserver.net.
  * Merge kdepot patch from kubuntu.

 -- Fathi Boudra <fboudra@free.fr>  Fri,  5 Jan 2007 08:21:01 +0100

kftpgrabber (0.8.0~beta2-1) unstable; urgency=low

  * New upstream release
  * Remove branch pull up to r596782

 -- Fathi Boudra <fboudra@free.fr>  Thu,  9 Nov 2006 11:11:15 +0100

kftpgrabber (0.8.0~beta1-1) unstable; urgency=low

  * New upstream release
  * Add menu file (Closes: #390212)
  * Branch pull up to r596782

 -- Fathi Boudra <fboudra@free.fr>  Wed, 18 Oct 2006 15:27:49 +0200

kftpgrabber (0.8.0~alpha2-1) unstable; urgency=low

  * New upstream release 

 -- Fathi Boudra <fboudra@free.fr>  Wed, 20 Sep 2006 17:59:57 +0200

kftpgrabber (0.7.99-1) unstable; urgency=low

  * New upstream release (Closes: #376668)
  * compat: bumped to 5
  * control:
    * bumped Standards-Version to 3.7.2
    * updated description
  * copyright: added Martin Filser, Tobias Ussing and Tim Kosse

 -- Fathi Boudra <fboudra@free.fr>  Tue,  5 Sep 2006 16:15:05 +0200

kftpgrabber (0.7-beta1-1) unstable; urgency=low

  * Initial release Closes: #276068

 -- Fathi Boudra <fboudra@free.fr>  Fri, 17 Mar 2006 23:48:32 +0100

## kftpgrabber-trinity 14.0.5

=== debian/changelog ===
kftpgrabber-trinity (4:14.0.5-0ubuntu17.04.0+0) zesty; urgency=low

  * Automated git build for r14.0.5

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 27 Jul 2018 07:32:49 +0200

## kftpgrabber-trinity 14.0.11

=== CMakeLists.txt ===
############################################
#                                          #
#  Improvements and feedbacks are welcome  #
#                                          #
#  This file is released under GPL >= 3    #
#                                          #
############################################


cmake_minimum_required( VERSION 2.8.12 )


#### general package setup

project( kftpgrabber )
set( VERSION R14.0.11 )


#### include essential cmake modules

include( FindPkgConfig          )
include( CheckFunctionExists    )
include( CheckSymbolExists      )
include( CheckIncludeFile       )
include( CheckIncludeFiles      )
include( CheckLibraryExists     )
include( CheckCSourceCompiles   )
include( CheckCXXSourceCompiles )


#### include our cmake modules

set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
include( TDEMacros )


##### setup install paths

include( TDESetupPaths )
tde_setup_paths( )


##### optional stuff

option( WITH_ALL_OPTIONS    "Enable all optional support" OFF )
option( WITH_GCC_VISIBILITY "Enable fvisibility and fvisibility-inlines-hidden" ${WITH_ALL_OPTIONS} )


##### user requested modules

option( BUILD_ALL          "Build all" ON )
option( BUILD_DOC          "Build documentation" ${BUILD_ALL} )
option( BUILD_TRANSLATIONS "Build translations"  ${BUILD_ALL} )


##### configure checks

include( ConfigureChecks.cmake )


###### global compiler settings 

add_definitions( -DHAVE_CONFIG_H )

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
set( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )
set( CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--no-undefined" )


##### directories

add_subdirectory( kftpgrabber )


##### other data

tde_conditional_add_project_docs( BUILD_DOC )
tde_conditional_add_project_translations( BUILD_TRANSLATIONS )


##### write configure files

configure_file( config.h.cmake config.h @ONLY )

## kftpgrabber-trinity 14.0.6

=== debian/changelog ===
kftpgrabber-trinity (4:14.0.6-0raspbian7.0.0+0) raspbian-wheezy; urgency=low

  * Automated git build for r14.0.6

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 06 Mar 2019 01:31:16 +0100

=== debian/control ===
Source: kftpgrabber-trinity
Section: tde
Priority: optional
Maintainer: Debian TDE Extras Team <pkg-tde-extras@lists.alioth.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>, Mark Purcell <msp@debian.org>, Michael Meskes <meskes@debian.org>
Build-Depends: cdbs, debhelper (>= 7.0.50~), quilt, automake, libtool, tdelibs14-trinity-dev, docbook2x, docbook-xml
Standards-Version: 3.8.3
Homepage: http://www.kftp.org

Package: kftpgrabber-trinity
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ftp client for TDE
 KFTPgrabber is a graphical FTP client for the Trinity Desktop Environment. It
 implements many features required for usable FTP interaction.
 .
 Feature list:
  - Multiple simultaneous FTP sessions in separate tabs
  - A tree-oriented transfer queue
  - TLS/SSL support for the control connection and the data channel
  - X509 certificate support for authentication
  - FXP site-to-site transfer support
  - One-time password (OTP) support using S/KEY, MD5, RMD160 or SHA1
  - Site bookmarks with many options configurable per-site
  - Distributed FTP daemon support (implementing the PRET command)
  - Can use Zeroconf for local site discovery
  - Bookmark import plugins from other FTP clients
  - Support for the SFTP protocol
  - A nice traffic graph
  - Ability to limit upload and download speed
  - Priority and skip lists
  - Integrated SFV checksum verifier
  - Direct viewing/editing of remote files
  - Advanced default "on file exists" action configuration
  - Filter displayed files/directories as you type

=== debian/rules ===
#!/usr/bin/make -f
 
include /usr/share/cdbs/1/rules/debhelper.mk
include debian/cdbs/kde.mk
#include /usr/share/cdbs/1/rules/patchsys-quilt.mk
include /usr/share/cdbs/1/rules/utils.mk

DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include
DEB_CONFIGURE_MANDIR := /opt/trinity/share/man
DEB_CONFIGURE_PREFIX := /opt/trinity
DEB_CONFIGURE_INFODIR := /opt/trinity/share/info

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)

post-patches:: debian/stamp-bootstrap

debian/stamp-bootstrap:
	dh_testdir

	# Regenerate build system
ifneq "$(wildcard /usr/share/libtool/ltmain.sh)" ""
	cp -f /usr/share/libtool/ltmain.sh admin/ltmain.sh
endif
ifneq "$(wildcard /usr/share/libtool/config/ltmain.sh)" ""
	cp -f /usr/share/libtool/config/ltmain.sh admin/ltmain.sh
endif
ifneq "$(wildcard /usr/share/libtool/build-aux/ltmain.sh)" ""
	cp -f /usr/share/libtool/build-aux/ltmain.sh admin/ltmain.sh
endif
	cp -f /usr/share/aclocal/libtool.m4 admin/libtool.m4.in

	autoreconf --install && automake -f && \
	$(MAKE) -f admin/Makefile.common && \
	touch debian/stamp-bootstrap

build/kftpgrabber-trinity::
	/usr/bin/docbook2x-man debian/kftpgrabber.xml

binary-install/kftpgrabber-trinity::
	install -D -p -m644 debian/kftpgrabber-trinity.lintian-overrides \
	  debian/kftpgrabber-trinity/usr/share/lintian/overrides/kftpgrabber-trinity
	mv debian/$(cdbs_curpkg)/usr/share/man debian/$(cdbs_curpkg)/opt/trinity/share/

clean::
	rm -f kftpgrabber.1
	rm -f translations/*/messages/*.gmo
	rm -f debian/stamp-bootstrap

## kftpgrabber-trinity 14.0.8

=== debian/changelog ===
kftpgrabber-trinity (4:14.0.8-0ubuntu18.10.0+0) cosmic; urgency=low

  * Automated git build for r14.0.8

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 08 Apr 2020 10:48:24 +0200

## kftpgrabber-trinity 14.0.10

=== debian/changelog ===
kftpgrabber-trinity (4:14.0.10-0ubuntu19.10.0+0) eoan; urgency=low

  * Automated git build for r14.0.10

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 04 Apr 2021 16:10:05 +0200

=== debian/rules ===
#!/usr/bin/make -f

# Currently is not possible to build with --enable-final
DEB_BUILD_OPTIONS += noopt

include /usr/share/cdbs/1/rules/debhelper.mk
include debian/cdbs/debian-tde.mk

DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include
DEB_CONFIGURE_MANDIR := /opt/trinity/share/man
DEB_CONFIGURE_PREFIX := /opt/trinity
DEB_CONFIGURE_INFODIR := /opt/trinity/share/info

build/kftpgrabber-trinity::
	/usr/bin/docbook2x-man debian/kftpgrabber.xml

binary-install/kftpgrabber-trinity::
	install -D -p -m644 debian/kftpgrabber-trinity.lintian-overrides \
	  debian/kftpgrabber-trinity/usr/share/lintian/overrides/kftpgrabber-trinity
	mv debian/$(cdbs_curpkg)/usr/share/man debian/$(cdbs_curpkg)/opt/trinity/share/

clean::
	rm -f kftpgrabber.1

## kftpgrabber-trinity 14.0.11

=== debian/changelog ===
kftpgrabber-trinity (4:14.0.11-0debian8.0.0+0) jessie; urgency=low

  * Automated git build for r14.0.11
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.11#kftpgrabber

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 03 Oct 2021 10:27:11 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: kftpgrabber-trinity
 Section: tde
 Priority: optional
-Maintainer: Debian TDE Extras Team <pkg-tde-extras@lists.alioth.debian.org>
+Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 Uploaders: Fathi Boudra <fabo@debian.org>, Mark Purcell <msp@debian.org>, Michael Meskes <meskes@debian.org>
-Build-Depends: cdbs, debhelper (>= 7.0.50~), quilt, automake, libtool, tdelibs14-trinity-dev, docbook2x, docbook-xml
+Build-Depends: cdbs, debhelper (>= 9~), quilt, cmake-trinity, ninja-build, tdelibs-trinity-dev, libssl-dev
 Standards-Version: 3.8.3
 Homepage: http://www.kftp.org

## kftpgrabber-trinity 14.0.12

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,13 +7,13 @@
 ############################################
 
 
-cmake_minimum_required( VERSION 2.8.12 )
+cmake_minimum_required( VERSION 3.1 )
 
 
 #### general package setup
 
 project( kftpgrabber )
-set( VERSION R14.0.11 )
+set( VERSION R14.0.12 )
 
 
 #### include essential cmake modules

## kftpgrabber-trinity 14.0.13

=== debian/changelog ===
kftpgrabber-trinity (4:14.0.13-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.0.13
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.13#kftpgrabber

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 25 Sep 2022 08:52:42 +0200

## kftpgrabber-trinity 14.1.0

=== debian/changelog ===
kftpgrabber-trinity (4:14.1.0-0ubuntu21.10.0+0) impish; urgency=low

  * Automated git build for r14.1.0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.0#kftpgrabber

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 14 Jan 2023 18:47:51 +0100

## kftpgrabber-trinity 14.1.1

=== debian/changelog ===
kftpgrabber-trinity (4:14.1.1-0ubuntu16.04.0+0) xenial; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#kftpgrabber

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 24 Jul 2023 03:41:32 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 Uploaders: Fathi Boudra <fabo@debian.org>, Mark Purcell <msp@debian.org>, Michael Meskes <meskes@debian.org>
-Build-Depends: cdbs, debhelper (>= 9~), quilt, cmake-trinity, ninja-build, tdelibs-trinity-dev, libssl-dev
+Build-Depends: cdbs, debhelper (>= 9~), quilt, tde-cmake, ninja-build, tdelibs-trinity-dev, libssl-dev
 Standards-Version: 3.8.3
 Homepage: http://www.kftp.org

## kftpgrabber-trinity 14.1.2

=== debian/changelog ===
kftpgrabber-trinity (4:14.1.2-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.1.2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.2#kftpgrabber

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 16 Apr 2024 02:22:00 +0200

## kftpgrabber-trinity 14.1.3

=== debian/changelog ===
kftpgrabber-trinity (4:14.1.3-0ubuntu23.04.0+0) lunar; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#kftpgrabber

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Jul 2024 14:31:24 +0200

## kftpgrabber-trinity 14.1.4

=== debian/changelog ===
kftpgrabber-trinity (4:14.1.4-0debian10.0.0+0) buster; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#kftpgrabber

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 14 Apr 2025 09:06:08 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 Uploaders: Fathi Boudra <fabo@debian.org>, Mark Purcell <msp@debian.org>, Michael Meskes <meskes@debian.org>
-Build-Depends: cdbs, debhelper (>= 9~), quilt, tde-cmake, ninja-build, tdelibs-trinity-dev, libssl-dev
+Build-Depends: cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs-trinity-dev, libssl-dev
 Standards-Version: 3.8.3
 Homepage: http://www.kftp.org

## kftpgrabber-trinity 14.1.5~pre0

=== debian/changelog ===
kftpgrabber-trinity (4:14.1.5~pre0-0ubuntu25.10.0+3) questing; urgency=low

  * Automated git build for 764fe8d5414f8eae3ca311f354888edecfa60c50
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#kftpgrabber

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## kftpgrabber-trinity 14.1.5

=== kftpgrabber/src/CMakeLists.txt ===
add_subdirectory( misc    )
add_subdirectory( engine  )
add_subdirectory( ui      )
add_subdirectory( widgets )


include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${CMAKE_SOURCE_DIR}/kftpgrabber/src/misc
  ${CMAKE_SOURCE_DIR}/kftpgrabber/src/widgets
  ${CMAKE_BINARY_DIR}/kftpgrabber/src/ui
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### kftpgrabber (executable)

tde_add_executable( ${PROJECT_NAME} AUTOMOC

  SOURCES
        main.cpp
        mainwindow.cpp
        checksumverifier.cpp
        kftpbookmarks.cpp
        kftpqueue.cpp
        mainactions.cpp
        kftpbookmarkaction.cpp
        kftpqueueprocessor.cpp
        kftpsession.cpp
        kftpqueueconverter.cpp
        kftptransfer.cpp
        kftptransferfile.cpp
        kftptransferdir.cpp
        kftpfileexistsactions.cpp
        statistics.cpp site.cpp
        queueobject.cpp
        queuegroup.cpp
        directoryscanner.cpp
  LINK
     tdeui-shared
     tdeio-shared
     tdecore-shared
     tdeparts-shared
     tdednssd-shared
     bookmarkwidgets-static
     browser-static
     queueviewwidget-static
     widgets-static
     engine-static
     kftpgrabbercore-static
     customcommands-static
     ui-static
     kftpinterfaces-shared
     tdewalletclient-shared

  DESTINATION ${BIN_INSTALL_DIR}
)


##### icons

tde_install_icons( ${PROJECT_NAME} )


##### other data

tde_create_translated_desktop( ${PROJECT_NAME}.desktop )


install(
    FILES kftpgrabber-bi-wizard.png kftpgrabber-logo.png kftpgrabberui.rc
    DESTINATION ${DATA_INSTALL_DIR}/${PROJECT_NAME}
)

=== kftpgrabber/src/misc/CMakeLists.txt ===
add_subdirectory( interfaces     )
add_subdirectory( plugins        )
add_subdirectory( libs           )
add_subdirectory( customcommands )

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${CMAKE_SOURCE_DIR}/kftpgrabber/src
  ${CMAKE_SOURCE_DIR}/kftpgrabber/src/misc/interfaces
  ${OPENSSL_INCLUDE_DIR}
  ${X11_INCLUDE_DIR}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### kftpgrabbercore (static)

tde_add_library( kftpgrabbercore STATIC_PIC AUTOMOC

  SOURCES
        misc.cpp
        kftpotpgenerator.cpp
        kftpapi.cpp
        desencryptor.cpp
        kftpwalletconnection.cpp
        kftppluginmanager.cpp
        kftpzeroconf.cpp
        kftpconfig.kcfgc
        configbase.cpp
        filter.cpp
        filterwidgethandler.cpp
  LINK
     kftpinterfaces-shared
     customcommands-static
     ${OPENSSL_LIBRARIES}
)


##### other data

install(
    FILES kftpgrabber.kcfg
    DESTINATION ${KCFG_INSTALL_DIR}
)

=== kftpgrabber/src/ui/CMakeLists.txt ===
include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${CMAKE_SOURCE_DIR}/kftpgrabber/src/widgets
  ${CMAKE_SOURCE_DIR}/kftpgrabber/src
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### ui (static)

tde_add_library( ui STATIC_PIC AUTOMOC

  SOURCES
        bookmark_properties.ui
        kftpfilteraddpatternlayout.ui
        kftpquickconnectlayout.ui
        kftpqueueeditorlayout.ui
        kftpsearchlayout.ui
        kftpbookmarkimportlayout.ui
        kftpbookmarkeditortlswidget.ui
        config_general.ui
        config_transfers.ui
        config_log.ui
        config_display.ui
        config_filters.ui
        foobar.cpp
        checksum_verifier.ui
)

=== kftpgrabber/src/misc/customcommands/CMakeLists.txt ===
include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${CMAKE_SOURCE_DIR}/kftpgrabber/src
  ${CMAKE_SOURCE_DIR}/kftpgrabber/src/misc
  ${CMAKE_SOURCE_DIR}/kftpgrabber/src/widgets
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### customcommands (static)

tde_add_library( customcommands STATIC_PIC AUTOMOC

  SOURCES
        handlers.cpp
        entry.cpp
        manager.cpp
        parameterentrydialog.cpp
        responsedialog.cpp
)


##### other data

install(
    FILES commands.xml
    DESTINATION ${DATA_INSTALL_DIR}/${PROJECT_NAME}
)

=== kftpgrabber/src/misc/libs/CMakeLists.txt ===
add_subdirectory( ssh )

=== kftpgrabber/src/widgets/browser/CMakeLists.txt ===
include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${CMAKE_BINARY_DIR}/kftpgrabber/src
  ${CMAKE_SOURCE_DIR}/kftpgrabber/src
  ${CMAKE_SOURCE_DIR}/kftpgrabber/src/misc
  ${CMAKE_SOURCE_DIR}/kftpgrabber/src/widgets
  ${CMAKE_SOURCE_DIR}/kftpgrabber/src/engine
  ${CMAKE_BINARY_DIR}/kftpgrabber/src/ui
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### browser (static)

tde_add_library( browser STATIC_PIC AUTOMOC

  SOURCES
        view.cpp actions.cpp
        treeview.cpp
        propsplugin.cpp
        filterwidget.cpp
        detailsview.cpp
        locationnavigator.cpp
        dirlister.cpp

  DEPENDENCIES kftpgrabbercore-static ui-static
)

=== kftpgrabber/src/widgets/queueview/CMakeLists.txt ===
include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${OPENSSL_INCLUDE_DIR}
  ${CMAKE_BINARY_DIR}/kftpgrabber/src
  ${CMAKE_SOURCE_DIR}/kftpgrabber/src
  ${CMAKE_SOURCE_DIR}/kftpgrabber/src/misc
  ${CMAKE_SOURCE_DIR}/kftpgrabber/src/widgets
  ${CMAKE_BINARY_DIR}/kftpgrabber/src/ui
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### queueviewwidget (static)

tde_add_library( queueviewwidget STATIC_PIC AUTOMOC

  SOURCES
        queueeditor.cpp
        queueview.cpp
        threadview.cpp

  DEPENDENCIES kftpgrabbercore-static ui-static
)

=== kftpgrabber/src/misc/libs/ssh/CMakeLists.txt ===
include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${OPENSSL_INCLUDE_DIR}
  ${ZLIB_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### ssh (static)

tde_add_library( ssh STATIC_PIC

  SOURCES
        auth.c base64.c buffer.c channels.c client.c connect.c
        crypt.c dh.c error.c gzip.c kex.c keyfiles.c keys.c misc.c
        options.c packet.c sftp.c string.c wrapper.c
)

=== kftpgrabber/src/misc/plugins/bookmarkimport/CMakeLists.txt ===
add_subdirectory( gftp       )
add_subdirectory( ncftp      )
add_subdirectory( kftp       )
add_subdirectory( filezilla3 )

=== kftpgrabber/src/misc/plugins/bookmarkimport/ncftp/CMakeLists.txt ===

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${CMAKE_SOURCE_DIR}/kftpgrabber/src/misc/interfaces
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### kftpimportplugin_ncftp (kpart)

tde_add_kpart( kftpimportplugin_ncftp AUTOMOC

  SOURCES
        kftpimportncftpplugin.cpp
  LINK
     tdecore-shared
     tdeui-shared
     kftpinterfaces-shared

  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other data

tde_create_translated_desktop(
    SOURCE kftpimportplugin_ncftp.desktop
    DESTINATION ${SERVICES_INSTALL_DIR}
)

=== debian/changelog ===
kftpgrabber-trinity (4:14.1.5-0ubuntu25.10.0+0) questing; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#kftpgrabber

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## kftpgrabber-trinity 14.1.6~pre0

=== debian/changelog ===
kftpgrabber-trinity (4:14.1.6~pre0-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 764fe8d5414f8eae3ca311f354888edecfa60c50
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#kftpgrabber

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## kftpgrabber-trinity 14.1.6~pre1

=== debian/changelog ===
kftpgrabber-trinity (4:14.1.6~pre1-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 28e4077161302bc7103725f135bc68e7a1cde939
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#kftpgrabber

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 05:41:49 +0100

## kftpgrabber-trinity 14.2.0~pre25

=== kftpgrabber/src/misc/plugins/bookmarkimport/filezilla3/CMakeLists.txt ===

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${CMAKE_SOURCE_DIR}/kftpgrabber/src/misc/interfaces
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### kftpimportplugin_filezilla3 (kpart)

tde_add_kpart( kftpimportplugin_filezilla3 AUTOMOC

  SOURCES
        kftpimportfz3plugin.cpp
  LINK
     tdecore-shared
     tdeui-shared
     kftpinterfaces-shared

  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other data

tde_create_translated_desktop(
    SOURCE kftpimportplugin_filezilla3.desktop
    DESTINATION ${SERVICES_INSTALL_DIR}
)

=== kftpgrabber/src/misc/plugins/bookmarkimport/gftp/CMakeLists.txt ===
include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${CMAKE_SOURCE_DIR}/kftpgrabber/src/misc/interfaces
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### kftpimportplugin_gftp (kpart)

tde_add_kpart( kftpimportplugin_gftp AUTOMOC

  SOURCES
        kftpimportgftpplugin.cpp
  LINK
     tdecore-shared
     tdeui-shared
     kftpinterfaces-shared

  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other data

tde_create_translated_desktop(
    SOURCE kftpimportplugin_gftp.desktop
    DESTINATION ${SERVICES_INSTALL_DIR}
)

=== debian/changelog ===
kftpgrabber-trinity (4:14.2.0~pre25-0raspbian13.0.0+6) raspbian-trixie; urgency=low

  * Automated git build for 2748cdf637f8b47d57c49195cbb69f7f77321f67
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#kftpgrabber

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 Uploaders: Fathi Boudra <fabo@debian.org>, Mark Purcell <msp@debian.org>, Michael Meskes <meskes@debian.org>
-Build-Depends: cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs-trinity-dev, libssl-dev
+Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs-trinity-dev, libssl-dev
 Standards-Version: 3.8.3
 Homepage: http://www.kftp.org

## kftpgrabber-trinity 14.2.0~pre26

=== debian/changelog ===
kftpgrabber-trinity (4:14.2.0~pre26-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for 0d1aab8085dede66f2066d6372815ba75e9db716
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#kftpgrabber

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 04:56:02 +0100
